Calculate GeofenceTriggers for a Job
curl --request POST \
--url https://api.tread-horizon.com/v1/companies/{company-id}/jobs/{job-id}/geofence_triggers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"strategy": "historical",
"delay_seconds": 123,
"geofences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"moving_geofence": false
}
]
}
'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/jobs/{job-id}/geofence_triggers"
payload = {
"strategy": "historical",
"delay_seconds": 123,
"geofences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"moving_geofence": False
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
strategy: 'historical',
delay_seconds: 123,
geofences: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', moving_geofence: false}]
})
};
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/jobs/{job-id}/geofence_triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"triggered_location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lat": "<string>",
"lon": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"driver": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>"
},
"equipment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
},
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_id": "<string>"
},
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_id": "<string>"
}
},
"geofence": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geofence": {
"name": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geojson": {
"type": "<string>",
"coordinates": [
[
[
"<unknown>"
]
]
]
},
"circle_center": {
"lat": 123,
"lon": 123
},
"circle_radius": 123
},
"moving_geofence": false
}
}
]
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}GeofenceTriggers
Calculate GeofenceTriggers for a Job
Calculate GeofenceTriggers for a Job based on the strategy.
historical: Returns existing non-skipped geofence triggers for the jobnaive: Calculates geofence triggers using naive strategy (requiresdelay_seconds)accuracy_strict: Calculates geofence triggers using accuracy strict strategy (requiresdelay_seconds)
POST
/
v1
/
companies
/
{company-id}
/
jobs
/
{job-id}
/
geofence_triggers
Calculate GeofenceTriggers for a Job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Body
application/json
When present, geofences override the job's default geofences (from its sites) for :naive and :accuracy_strict strategies.
Available options:
historical, naive, accuracy_strict Only valid for :naive and :accuracy_strict strategies
Inline geofence definitions to use instead of the job's default geofences. Only used for :naive and :accuracy_strict strategies.
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
⌘I